import { AnchorSection } from '../models/anchor.model';
import { HasEventTargetAddRemove } from 'rxjs/internal/observable/fromEvent';
export declare class AnchorService {
    #private;
    constructor();
    get activeIdAsObservable(): import("rxjs").Observable<string | null>;
    get activeId(): string | null;
    registerSection(section: AnchorSection): void;
    scrollSectionToView(id: string): void;
    onScroll(scrollContainer: HasEventTargetAddRemove<Event>): void;
    destroy(): void;
}
